# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: weclikd/common/filter.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='weclikd/common/filter.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1bweclikd/common/filter.proto\x12\x07weclikd\"\x89\x01\n\rDefaultFilter\x12\x11\n\tnum_items\x18\x01 \x01(\r\x12\x0e\n\x06\x63ursor\x18\x02 \x01(\t\x12)\n\x04sort\x18\x03 \x01(\x0e\x32\x1b.weclikd.DefaultFilter.Sort\"*\n\x04Sort\x12\x0b\n\x07\x44\x45\x46\x41ULT\x10\x00\x12\x07\n\x03NEW\x10\x01\x12\x0c\n\x08TRENDING\x10\x02\x62\x06proto3'
)



_DEFAULTFILTER_SORT = _descriptor.EnumDescriptor(
  name='Sort',
  full_name='weclikd.DefaultFilter.Sort',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='DEFAULT', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='NEW', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='TRENDING', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=136,
  serialized_end=178,
)
_sym_db.RegisterEnumDescriptor(_DEFAULTFILTER_SORT)


_DEFAULTFILTER = _descriptor.Descriptor(
  name='DefaultFilter',
  full_name='weclikd.DefaultFilter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='num_items', full_name='weclikd.DefaultFilter.num_items', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cursor', full_name='weclikd.DefaultFilter.cursor', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='sort', full_name='weclikd.DefaultFilter.sort', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _DEFAULTFILTER_SORT,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=41,
  serialized_end=178,
)

_DEFAULTFILTER.fields_by_name['sort'].enum_type = _DEFAULTFILTER_SORT
_DEFAULTFILTER_SORT.containing_type = _DEFAULTFILTER
DESCRIPTOR.message_types_by_name['DefaultFilter'] = _DEFAULTFILTER
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

DefaultFilter = _reflection.GeneratedProtocolMessageType('DefaultFilter', (_message.Message,), {
  'DESCRIPTOR' : _DEFAULTFILTER,
  '__module__' : 'weclikd.common.filter_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DefaultFilter)
  })
_sym_db.RegisterMessage(DefaultFilter)


# @@protoc_insertion_point(module_scope)
